Subject: Any good documentation on RTNL

From: Ben Greear <[email-masked]>
Date: Wed, 12 Dec 2012 15:15:38 -0800

I'm wondering if anyone could point me to some documentation on
the finer points of what the rtnl_lock() does?  I can't find anything
overly useful in google or the kernel docs.

For instance, can the packet rx-logic run (on other threads?) while rtnl is held?

How about tx-logic?

In particular, I'm interested to know if it is valid to have
this state:

thread 1 holds RTNL, and blocks on thread 2 due to trying to flush a work-queue.

thread 2 is processing an item on that work-queue, and the work item is sending packets
   (and blocking for up to 200ms timeout trying to flush a wifi driver's queues).

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com